## synfigstudio 1.4.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(synfig-studio)

add_subdirectory(ETL)
include_directories(ETL)
include_directories(${PROJECT_BINARY_DIR}/ETL) # to find the generated etl_profile.h
add_subdirectory(synfig-core)

include_directories(synfig-core/src)
add_subdirectory(synfig-studio)

## synfigstudio 0.63.05

=== debian/changelog ===
synfigstudio (0.63.05-1) unstable; urgency=low

  * New maintainers (Closes: #665045)
  * New upstream release.
  * imported latest QA changes
  * Packaging update
    + to straight debhelper + dh-autoreconf
    + compat & debhelper to version 9
    + standards to 3.9.2
    + use DPKG build flags & default hardening
    + --as-needed to avoid needless linking
    + parallel build by default on linux
    + corrected Vcs-Browser URL
    + build-deps recalculated
    + set d-multimedia as Maintainer
    - install libsynfigapp0 as private library,
      not as standalone package

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 16:57:32 +1000

synfigstudio (0.62.00-1) unstable; urgency=low

  * QA upload
  * Properly orphan the package (set Maintainer to QA, empty Uploaders)
  * New upstream release
  * Bump build-dep on (lib)synfig to most recent version
  * Bump standards-version to 3.8.3, no changes needed
  * Change section of the "-dbg" package to debug, thanks lintian

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Jan 2010 11:20:50 +0100

synfigstudio (0.61.09-3) UNRELEASED; urgency=low

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Paul Wise ]
  * Remove me from uploaders, no longer interested in synfig

 -- Cyril Brulebois <kibi@debian.org>  Thu, 26 Feb 2009 20:49:33 +0100

synfigstudio (0.61.09-2) unstable; urgency=low

  * Upload to unstable after the lenny freeze
  * Switch to debhelper compat level 7
  * Switch from dh_clean -k to dh_prep
  * Link to the correct versions of the GPL
  * Drop duplicate Priority field for -dbg package

 -- Paul Wise <pabs@debian.org>  Thu, 26 Feb 2009 16:39:59 +0900

synfigstudio (0.61.09-1) experimental; urgency=low

  * New upstream release
  * Drop upstream ChangeLog since it was empty for this release
  * Wrap the uploaders, depends, suggests and build-deps fields
  * Support parallel builds
  * Add ${misc:Depends} to the dependencies
  * Drop binutils build-dep, fixed version was in etch
  * Now compliant with policy 3.8.0
  * Install scalable and multiple sized icons too

 -- Paul Wise <pabs@debian.org>  Sun, 16 Nov 2008 15:37:24 +0900

synfigstudio (0.61.08-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/control:
     - Move the homepage from “synfig.com” to “synfig.org”.
     - Bump versions for etl-dev, libsynfig-dev, synfig in Build-Depends.
     - Bump Standards-Version from 3.7.2 to 3.7.3 (no changes needed).
     - Update the “Depends:” line of synfigsynfig-dbg, from
       “libsynfigapp0” to “libsynfigapp0 | synfigstudio” (both with
       ${binary:Version}) since this package contains the debugging
       symbols for both packages.
  * debian/synfigstudio.install:
     - Add “usr/share/locale”, since upstream now ships locales.
  * debian/rules:
     - Set SYNFIG_LIB, SYNFIG_VERSION_*, and use them by setting
       F:SynfigExtra in dh_gencontrol to add an extra constraint on
       libsynfig to ensure the presence of the version against which
       synfigstudio was built, since API/ABI aren't stable.

  [ Paul Wise ]
  * Recommend the new synfig-examples package
  * Remove outdated BUGS section from the manual page
  * Drop the libsynfigapp-dev package until it is needed
  * Drop the use of fonts that are not needed for rendering the images
  * Remove “DH_COMPAT=4” before the dh_clean call, no reason to have that.
  * Make the shlibs more restrictive and build-dep on the fixed synfig so
    that the dependencies on the libsynfig/libsynfigapp libraries are correct.

 -- Paul Wise <pabs@debian.org>  Thu, 13 Mar 2008 19:54:06 +0900

synfigstudio (0.61.07-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Bump versioned B-D on synfig and libsynfig-dev from 0.61.06 to
    0.61.07~rc3.
  * Bump versioned B-D on etl-dev from 0.04.09 to 0.04.10~rc3.
  * Add Homepage, Vcs-Browser, and Vcs-Svn fields to the source package.
  * Add myself to the Uploaders.
  * No longer ignore make distclean errors, per lintian.

  [ Paul Wise ]
  * Update menu for transition and add longtitle & description

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 09 Oct 2007 03:11:26 +0200

synfigstudio (0.61.06-1) unstable; urgency=low

  * New upstream release
    - Update copyright info (new contributors)
    - requrires the new etl, bump build-dep
    - no longer messes up gamma settings (Closes: #418647)
    - now shows up in the GNOME window list (Closes: #366731)
  * Change my email address now that I'm a Debian Developer
  * Install the new upstream README, AUTHORS, ChangeLog.old
  * Use sourceforge in the watch file and download link
  * Use the current upstream version in the shlibs for now

 -- Paul Wise <pabs@debian.org>  Thu, 21 Jun 2007 11:09:02 +0100

synfigstudio (0.61.05-5) unstable; urgency=low
  
  [ Paul Wise] 
  * Switch back to the default g++
  * Apply patch from upstream to fix layer enable/disable

  [ Miguel Gea ]
  * Updated from upstream (voria svn version 226)

 -- Paul Wise <pabs3@bonedaddy.net>  Thu, 31 Aug 2006 11:28:10 +0800

synfigstudio (0.61.05-4) unstable; urgency=low

  * Use ${binary:Version} instead of the deprecated ${Source-Version}
  * Build-depend on the version of synfig that is built with g++-4.0
  * Build with g++-4.0 in case g++-4.1 miscompiles synfigstudio
  * Bump Standards-Version (no changes)
  * Use ttf-freefont, ttf-dejavu and ttf-dustin to render text in the images

 -- Paul Wise <pabs3@bonedaddy.net>  Wed,  9 Aug 2006 23:01:44 +0800

synfigstudio (0.61.05-3) unstable; urgency=low

  * Fix crash on startup on amd64 (Closes: #365102)
    Thanks to Ben Green (Sciboy) and Anthony DeRobertis for debugging help

 -- Paul Wise <pabs3@bonedaddy.net>  Sat,  3 Jun 2006 14:11:12 +0800

synfigstudio (0.61.05-2) unstable; urgency=low

  * Fix building on amd64. Patch by Andreas Jochens closes: #364408

 -- Paul Wise <pabs3@bonedaddy.net>  Sun, 23 Apr 2006 19:46:06 +0800

synfigstudio (0.61.05-1) unstable; urgency=low



=== debian/control ===
Source: synfigstudio
Section: graphics
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>, Denis Washington <denisw@online.de>,
Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint,
 etl-dev (>= 0.04.13), libglibmm-2.4-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
 libltdl-dev, libsigc++-2.0-dev, libsynfig-dev (>= 0.63.04),
 synfig (>= 0.63.04), ttf-freefont, ttf-dejavu,
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfigstudio.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfigstudio.git
Homepage: http://www.synfig.org/

Package: synfigstudio
Architecture: any
Recommends: synfig-examples
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vector-based 2D animation package (graphical user interface)
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation. It eliminates the
 need for tweening, preventing the need to hand-draw each frame.
 .
 This package contains the graphical user interface for synfig.

#Package: libsynfigapp0
#Section: libs
#Architecture: any
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: synfig GUI library
# synfig is a vector based 2D animation package. It is designed to be
# capable of producing feature-film quality animation.
# .
# This package contains the GUI shared library.

Package: synfigstudio-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, synfigstudio (= ${binary:Version}),
Description: synfig GUI debugging symbols
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains debugging symbols for libsynfigapp0 and synfigstudio.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# minimise needless linking
LDFLAGS+= -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
			--enable-debug=half \
			--with-userdir=.synfig \
			--libdir=\$${prefix}/lib/synfigstudio

override_dh_auto_build:
	cd images ; \
		ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf Arial.ttf ; \
		ln -s /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf "Arial Black.ttf" ; \
		ln -s /usr/share/fonts/truetype/freefont/FreeSerif.ttf "Times New Roman.ttf" ; \
		ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf "Sans Serif.ttf"
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_strip:
	dh_strip --dbg-package=synfigstudio-dbg

=== debian/watch ===
version=3
http://sf.net/synfig/synfigstudio-([-0-9.]*)\.tar\.gz

## synfigstudio 0.64.0

=== debian/changelog ===
synfigstudio (0.64.0-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Standards to 3.9.4.
  * xz compression for source and binary packages.
  * Minor debian/watch update.
  * Added "intltool" to Build-Depends and invoke `intltoolize` after
    dh-autoreconf.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 May 2013 02:42:38 +1000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,19 @@
 Section: graphics
 Priority: extra
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>, Denis Washington <denisw@online.de>,
-Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint,
- etl-dev (>= 0.04.13), libglibmm-2.4-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
- libltdl-dev, libsigc++-2.0-dev, libsynfig-dev (>= 0.63.04),
- synfig (>= 0.63.04), ttf-freefont, ttf-dejavu,
-Standards-Version: 3.9.3
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Denis Washington <denisw@online.de>
+Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool
+ ,etl-dev (>= 0.04.16)
+ ,libglibmm-2.4-dev
+ ,libgtk2.0-dev
+ ,libgtkmm-2.4-dev
+ ,libltdl-dev
+ ,libsigc++-2.0-dev
+ ,libsynfig-dev (>= 0.64.0)
+ ,synfig (>= 0.64.0)
+ ,ttf-freefont
+ ,ttf-dejavu
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfigstudio.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfigstudio.git
 Homepage: http://www.synfig.org/
@@ -37,7 +44,7 @@
 Package: synfigstudio-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, synfigstudio (= ${binary:Version}),
+Depends: ${misc:Depends}, synfigstudio (= ${binary:Version})
 Description: synfig GUI debugging symbols
  synfig is a vector based 2D animation package. It is designed to be
  capable of producing feature-film quality animation.

## synfigstudio 0.64.1

=== debian/changelog ===
synfigstudio (0.64.1-1) unstable; urgency=low

  * New upstream release [November 2013].
  * Standards to 3.9.5.
  * Build-Depends on new "etl-dev (>= 0.04.17)", "synfig (>= 0.64.1)",
    "libsynfig-dev (>= 0.64.1)".
  * As per his request removed Denis Washington from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2013 15:33:31 +1100

synfigstudio (0.64.0-2) unstable; urgency=low

  * Re-build to introduce versioned dependency on libsynfig
    (Closes: #709779).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 15:34:09 +1000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: graphics
 Priority: extra
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Denis Washington <denisw@online.de>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool
- ,etl-dev (>= 0.04.16)
+ ,etl-dev (>= 0.04.17)
  ,libglibmm-2.4-dev
  ,libgtk2.0-dev
  ,libgtkmm-2.4-dev
  ,libltdl-dev
  ,libsigc++-2.0-dev
- ,libsynfig-dev (>= 0.64.0)
- ,synfig (>= 0.64.0)
+ ,libsynfig-dev (>= 0.64.1)
+ ,synfig (>= 0.64.1)
  ,ttf-freefont
  ,ttf-dejavu
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfigstudio.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfigstudio.git
 Homepage: http://www.synfig.org/

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+	intltoolize --copy --force
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -34,3 +35,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=synfigstudio-dbg
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

## synfigstudio 0.64.2

=== debian/changelog ===
synfigstudio (0.64.2-2) unstable; urgency=medium

  * Added two new upstream patches for compatibility with Glib-2.42
    (Closes: #772748).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Dec 2014 16:22:23 +1100

synfigstudio (0.64.2-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Build-Depenbds: libsynfig-dev (>= 0.64.2).
  * Added "debian/gbp.conf".
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Oct 2014 23:28:28 +1100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  ,libgtkmm-2.4-dev
  ,libltdl-dev
  ,libsigc++-2.0-dev
- ,libsynfig-dev (>= 0.64.1)
+ ,libsynfig-dev (>= 0.64.2)
  ,synfig (>= 0.64.1)
  ,ttf-freefont
  ,ttf-dejavu
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfigstudio.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfigstudio.git
 Homepage: http://www.synfig.org/

=== debian/watch ===
version=3
http://sf.net/synfig/synfigstudio-([-0-9.]+)\.tar\.(?:bz2|gz|xz)

## synfigstudio 1.0

=== debian/changelog ===
synfigstudio (1.0-1build2) wily; urgency=medium

  * No-change rebuild for libxml++ soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 08:28:32 +0000

synfigstudio (1.0-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:54:24 +0000

synfigstudio (1.0-1) unstable; urgency=medium

  * New upstream release [April 2015].
  * Dropped all backported patches.
  * Build-Depends:
    - etl-dev (>= 0.04.17)
    + etl-dev (>= 0.04.18)
    - libgtkmm-2.4-dev
    + libgtkmm-3.0-dev
    + libmlt-dev
    + libmlt++-dev
    - synfig (>= 0.64.1)
    + synfig (>= 1.0)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 19:05:33 +1000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: synfigstudio
 Section: graphics
 Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool
- ,etl-dev (>= 0.04.17)
+ ,etl-dev (>= 0.04.18)
  ,libglibmm-2.4-dev
  ,libgtk2.0-dev
- ,libgtkmm-2.4-dev
+ ,libgtkmm-3.0-dev
  ,libltdl-dev
+ ,libmlt-dev
+ ,libmlt++-dev
  ,libsigc++-2.0-dev
  ,libsynfig-dev (>= 0.64.2)
- ,synfig (>= 0.64.1)
+ ,synfig (>= 1.0)
  ,ttf-freefont
  ,ttf-dejavu
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,8 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
+	## W:unknown-locale-code zh-Hant
+	$(RM) -rv $(CURDIR)/debian/tmp/usr/share/locale/zh-Hant
 
 override_dh_makeshlibs:
 	dh_makeshlibs --noscripts

## synfigstudio 1.0.2

=== debian/changelog ===
synfigstudio (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - etl-dev (>= 0.04.18)
    + etl-dev (>= 0.04.19)
    - libsynfig-dev (>= 0.64.2)
    + libsynfig-dev (>= 1.0.2)
    - synfig (>= 1.0)
    + synfig (>= 1.0.2)
    + libmagick++-dev
  * New "c++11.patch" to fix FTBFS (Closes: #803037).
  * Removed .menu file (command-in-menu-file-and-desktop-file).
  * control: modernise Vcs-Browser URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Nov 2015 20:54:13 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: synfigstudio
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool
- ,etl-dev (>= 0.04.18)
+ ,etl-dev (>= 0.04.19)
  ,libglibmm-2.4-dev
  ,libgtk2.0-dev
  ,libgtkmm-3.0-dev
@@ -13,12 +12,14 @@
  ,libmlt-dev
  ,libmlt++-dev
  ,libsigc++-2.0-dev
- ,libsynfig-dev (>= 0.64.2)
- ,synfig (>= 1.0)
+ ,libsynfig-dev (>= 1.0.2)
+ ,synfig (>= 1.0.2)
  ,ttf-freefont
  ,ttf-dejavu
+# libsynfig-dev:
+    ,libmagick++-dev
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfigstudio.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/synfig-synfigstudio.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfigstudio.git
 Homepage: http://www.synfig.org/

## synfigstudio 1.2.1

=== debian/changelog ===
synfigstudio (1.2.1-0ubuntu1) bionic; urgency=medium

  * New upstream version. Closes: #883594.
  * Update build dependency on font packages. Closes: #895162.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Apr 2018 13:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool
- ,etl-dev (>= 0.04.19)
+ ,etl-dev (>= 1.2.1)
  ,libglibmm-2.4-dev
  ,libgtk2.0-dev
  ,libgtkmm-3.0-dev
@@ -12,12 +12,11 @@
  ,libmlt-dev
  ,libmlt++-dev
  ,libsigc++-2.0-dev
- ,libsynfig-dev (>= 1.0.2)
+ ,libsynfig-dev (>= 1.2.1)
  ,synfig (>= 1.0.2)
- ,ttf-freefont
- ,ttf-dejavu
-# libsynfig-dev:
-    ,libmagick++-dev
+ ,fonts-freefont-ttf | ttf-freefont
+ ,fonts-dejavu | ttf-dejavu
+ ,libmagick++-dev
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/synfig-synfigstudio.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfigstudio.git

## synfigstudio 1.2.2

=== debian/changelog ===
synfigstudio (1.2.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:28 +0100

synfigstudio (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * dbgsym-migration: dropped -dbg package.
  * Debhelper & compat to version 11.
  * Standards-Version: 4.3.0
  * Priority: optional.
  * VCS URLs to Salsa.
  * New patch to remove embedded copy of PKG_CHECK_MODULES (Closes: #900433).
    Thanks, Helmut Grohne.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 20:18:41 +1100

synfigstudio (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #883594.
  * Update build dependency on font packages. Closes: #895162.
  * Build-depend on pkg-config and libfftw3-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Apr 2018 21:14:59 +0200

=== debian/control ===
Source: synfigstudio
Section: graphics
Priority: optional
Standards-Version: 4.3.0
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~), autopoint, intltool
 ,pkg-config
 ,etl-dev (>= 1.2.2)
 ,libfftw3-dev
 ,libglibmm-2.4-dev
 ,libgtk2.0-dev
 ,libgtkmm-3.0-dev
 ,libltdl-dev
 ,libmlt-dev
 ,libmlt++-dev
 ,libsigc++-2.0-dev
 ,libsynfig-dev (>= 1.2.2)
 ,synfig (>= 1.2.2)
 ,fonts-freefont-ttf | ttf-freefont
 ,fonts-dejavu | ttf-dejavu
 ,libmagick++-dev
Vcs-Browser: https://salsa.debian.org/multimedia-team/synfigstudio
Vcs-Git: https://salsa.debian.org/multimedia-team/synfigstudio.git
Homepage: http://www.synfig.org/

Package: synfigstudio
Architecture: any
Recommends: synfig-examples
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vector-based 2D animation package (graphical user interface)
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation. It eliminates the
 need for tweening, preventing the need to hand-draw each frame.
 .
 This package contains the graphical user interface for synfig.

#Package: libsynfigapp0
#Section: libs
#Architecture: any
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: synfig GUI library
# synfig is a vector based 2D animation package. It is designed to be
# capable of producing feature-film quality animation.
# .
# This package contains the GUI shared library.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 LDFLAGS+= -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -36,7 +36,4 @@
 	dh_makeshlibs --noscripts
 
 override_dh_strip:
-	dh_strip --dbg-package=synfigstudio-dbg
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+	dh_strip --dbgsym-migration='synfigstudio-dbg (<< 1.2.2-1~)'

## synfigstudio 1.4.0+dfsg

=== debian/changelog ===
synfigstudio (1.4.0+dfsg-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against current libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Dec 2021 03:02:53 +0000

synfigstudio (1.4.0+dfsg-1ubuntu1) jammy; urgency=medium

  * Rebuild against MLT7.
  * Build with GCC 10 for now to prevent FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Oct 2021 13:00:37 +0100

synfigstudio (1.4.0+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release.
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * rules: `ln` verbosity
  * rules: removed "--as-needed"
  * "watch" file to track GitHub releases.
  * Removed "libgtk2.0-dev" from Build-Depends (Closes: #967765).
  * Build-Depends:
    + libavcodec-dev
    + libavformat-dev
    + libavutil-dev
    + libswscale-dev

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Changed Maintainer from @lists.alioth.debian.org to @lists.debian.org
  * Bump Standards-Version to 4.4.1
  * d/watch: Use https protocol

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jan 2021 18:52:19 +1100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,35 @@
 Source: synfigstudio
 Section: graphics
 Priority: optional
-Standards-Version: 4.3.0
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.5.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~), autopoint, intltool
+Build-Depends: debhelper-compat (= 11), autopoint, intltool
  ,pkg-config
- ,etl-dev (>= 1.2.2)
+ ,etl-dev (>= 1.4.0~)
+ ,gcc-10,
+ ,g++-10
  ,libfftw3-dev
  ,libglibmm-2.4-dev
- ,libgtk2.0-dev
  ,libgtkmm-3.0-dev
  ,libltdl-dev
  ,libmlt-dev
  ,libmlt++-dev
  ,libsigc++-2.0-dev
- ,libsynfig-dev (>= 1.2.2)
- ,synfig (>= 1.2.2)
+ ,libsynfig-dev (>= 1.4.0~)
+ ,synfig (>= 1.4.0~)
  ,fonts-freefont-ttf | ttf-freefont
  ,fonts-dejavu | ttf-dejavu
  ,libmagick++-dev
+ ,libavcodec-dev
+ ,libavformat-dev
+ ,libavutil-dev
+ ,libswscale-dev
 Vcs-Browser: https://salsa.debian.org/multimedia-team/synfigstudio
 Vcs-Git: https://salsa.debian.org/multimedia-team/synfigstudio.git
 Homepage: http://www.synfig.org/
+Rules-Requires-Root: no
 
 Package: synfigstudio
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CC=gcc-10
export CXX=g++-10

%:
	dh $@ --with autoreconf --sourcedirectory=synfig-studio

override_dh_autoreconf:
	dh_autoreconf
	cd synfig-studio && intltoolize --copy --force

override_dh_auto_configure:
	dh_auto_configure -- \
			--enable-debug=half \
			--with-userdir=.synfig \
			--libdir=\$${prefix}/lib/synfigstudio

override_dh_auto_build:
	cd images ; \
		ln -sv /usr/share/fonts/truetype/freefont/FreeSans.ttf Arial.ttf ; \
		ln -sv /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf "Arial Black.ttf" ; \
		ln -sv /usr/share/fonts/truetype/freefont/FreeSerif.ttf "Times New Roman.ttf" ; \
		ln -sv /usr/share/fonts/truetype/freefont/FreeSans.ttf "Sans Serif.ttf"
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	## W:unknown-locale-code zh-Hant
	$(RM) -rv $(CURDIR)/debian/tmp/usr/share/locale/zh-Hant

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_strip:
	dh_strip --dbgsym-migration='synfigstudio-dbg (<< 1.2.2-1~)'

## synfigstudio 1.4.2

=== synfig-studio/CMakeLists.txt ===
## TODO: find out which version is actually required
cmake_minimum_required(VERSION 3.1)

project(synfigstudio)

# using latest stable standard, but not strictly
# the rest is done via target_compile_features instead
set(CMAKE_CXX_STANDARD 11)

add_subdirectory(src)
add_subdirectory(images)
add_subdirectory(ui)
add_subdirectory(sounds)

=== ETL/ETL/CMakeLists.txt ===
## TODO: install headers properly

configure_file(
    etl_profile.h.cmake.in
    ${PROJECT_BINARY_DIR}/ETL/etl_profile.h
)

set(ETL_HEADERS
        "${CMAKE_CURRENT_LIST_DIR}/rect"
        "${CMAKE_CURRENT_LIST_DIR}/calculus"
        "${CMAKE_CURRENT_LIST_DIR}/spline"
        "${CMAKE_CURRENT_LIST_DIR}/misc"
        "${CMAKE_CURRENT_LIST_DIR}/hermite"
        "${CMAKE_CURRENT_LIST_DIR}/fixed"
        "${CMAKE_CURRENT_LIST_DIR}/surface"
        "${CMAKE_CURRENT_LIST_DIR}/clock"
        "${CMAKE_CURRENT_LIST_DIR}/stringf"
        "${CMAKE_CURRENT_LIST_DIR}/boxblur"
        "${CMAKE_CURRENT_LIST_DIR}/smart_ptr"
        "${CMAKE_CURRENT_LIST_DIR}/ref_count"
        "${CMAKE_CURRENT_LIST_DIR}/trivial"
        "${CMAKE_CURRENT_LIST_DIR}/smach"
        "${CMAKE_CURRENT_LIST_DIR}/pen"
        "${CMAKE_CURRENT_LIST_DIR}/angle"
        "${CMAKE_CURRENT_LIST_DIR}/bezier"
        "${CMAKE_CURRENT_LIST_DIR}/gaussian"
        "${CMAKE_CURRENT_LIST_DIR}/handle"
#     PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/_ref_count.h"
        "${CMAKE_CURRENT_LIST_DIR}/_trivial.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smach.h"
        "${CMAKE_CURRENT_LIST_DIR}/_surface.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smart_ptr.h"
        "${CMAKE_CURRENT_LIST_DIR}/_pen.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_boxblur.h"
        "${CMAKE_CURRENT_LIST_DIR}/_rect.h"
        "${CMAKE_CURRENT_LIST_DIR}/_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bspline.h"
        "${CMAKE_CURRENT_LIST_DIR}/etl_config.h"
        "${CMAKE_CURRENT_LIST_DIR}/_stringf.h"
        "${CMAKE_CURRENT_LIST_DIR}/_calculus.h"
        "${CMAKE_CURRENT_LIST_DIR}/_misc.h"
        "${CMAKE_CURRENT_LIST_DIR}/_hermite.h"
        "${CMAKE_CURRENT_LIST_DIR}/_fixed.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier.h"
        "${CMAKE_CURRENT_LIST_DIR}/_curve_func.h"
        "${CMAKE_CURRENT_LIST_DIR}/_handle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_gaussian.h"

# autogenerated
        "${PROJECT_BINARY_DIR}/ETL/etl_profile.h" 
)

install(
    FILES ${ETL_HEADERS}
    DESTINATION include/ETL
)

=== synfig-studio/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

##
## Find packages
##

## TODO: check version
if ("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    find_package(synfig CONFIG REQUIRED)
endif()

find_package(Gettext)

if (Gettext_FOUND)
    set(ENABLE_NLS ON)
    set(GETTEXT_PACKAGE ${PROJECT_NAME})
endif()

## TODO: check if we really need to find deps common with synfig core
include(FindPkgConfig)
pkg_check_modules(SIGCPP REQUIRED sigc++-2.0)
pkg_check_modules(GTKMM REQUIRED gtkmm-3.0)
pkg_check_modules(LIBXML REQUIRED libxml++-2.6)

##
## Config
##

add_definitions(-DHAVE_CONFIG_H)
configure_file(config.h.cmake.in config.h)

##
## Header include dirs
##

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

include_directories(
    SYSTEM
        ${SIGCPP_INCLUDE_DIRS}
        ${GTKMM_INCLUDE_DIRS}
)

##
## Search path for libs (needed to link with libsynfig)
##
link_directories(${CMAKE_PREFIX_PATH}/lib)

##
## Sub-directories
##

add_subdirectory(synfigapp)
add_subdirectory(gui)

=== synfig-studio/ui/CMakeLists.txt ===
set(UIFILES
    canvas_options.ui
    preview_options.ui
    dialog_workspaces.ui
)

foreach (UIFILE IN ITEMS ${UIFILES})
    install(
        FILES ${CMAKE_CURRENT_SOURCE_DIR}/${UIFILE}
        DESTINATION share/synfig/ui
    )
endforeach()

=== synfig-core/src/modules/CMakeLists.txt ===
##
## Includes
##

include_directories(
    SYSTEM
        ${SIGCPP_INCLUDE_DIRS}
        ${CAIRO_INCLUDE_DIRS}
        ${GLIBMM_INCLUDE_DIRS}
        ${GIOMM_INCLUDE_DIRS}
)

##
## Modules
##

## TODO: make configurable
## TODO: write some macros

set(MODS_ENABLED
    lyr_freetype
    lyr_std
    mod_bmp
    mod_dv
    mod_example
    mod_ffmpeg
    mod_filter
    mod_geometry
    mod_gif
    mod_gradient
    mod_imagemagick
    mod_jpeg
#    mod_libavcodec # - build failure
#    mod_magickpp # - made optional
    mod_mng
    mod_noise
    mod_openexr
    mod_particle
    mod_png
    mod_ppm
    mod_svg
    mod_yuv420p
#    mptr_mplayer # - "This code has vulnerabilities"
)

## Magick++ support
option(WITH_MAGICPP "Enable Magic++ module (output format support)" OFF)
option(WITHOUT_MAGICPP "Disable Magic++ module (output format support)" OFF)

if (${WITH_MAGICPP} AND ${WITHOUT_MAGICPP})
    message(FATAL_ERROR "You cannot request both WITH_MAGICPP and WITHOUT_MAGICPP!")
endif()

if (NOT ${WITHOUT_MAGICPP} AND ImageMagick_Magick++_FOUND)
    list(APPEND MODS_ENABLED mod_magickpp)
elseif (${WITH_MAGICPP} AND NOT ImageMagick_Magick++_FOUND)
    message(SEND_ERROR "Magic++ support is requested, but the package cannot be located.")
endif()
## Magick++ support (end)

## Process selected modules
set(SYNFIG_MODULES_CONTENT "")

message("-- Synfig modules:")
foreach(MOD IN ITEMS ${MODS_ENABLED})
    message("--   ${MOD}")
    set(SYNFIG_MODULES_CONTENT "${SYNFIG_MODULES_CONTENT}\n${MOD}")
    add_subdirectory(${MOD})
endforeach(MOD)

file(WRITE synfig_modules.cfg ${SYNFIG_MODULES_CONTENT})

install(
    FILES synfig_modules.cfg
    DESTINATION etc
)

=== synfig-studio/src/synfigapp/CMakeLists.txt ===
add_library(synfigapp SHARED "")

target_include_directories(synfigapp SYSTEM PUBLIC ${LIBXML_INCLUDE_DIRS})

target_sources(synfigapp
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/action.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/action_param.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/action_system.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/blineconvert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/wplistconverter.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasinterface.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/cvs.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/inputdevice.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/instance.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/settings.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timegather.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/uimanager.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/value_desc.cpp"
)

target_link_libraries(synfigapp synfig)

include(actions/CMakeLists.txt)
include(vectorizer/CMakeLists.txt)

install(
    TARGETS synfigapp
    DESTINATION lib
)

=== synfig-core/src/modules/lyr_freetype/CMakeLists.txt ===
add_library(lyr_freetype MODULE "")

include_directories(
    SYSTEM
        ${PANGO_INCLUDE_DIRS}
)

target_sources(lyr_freetype
    PUBLIC
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/lyr_freetype.cpp"
)

target_link_libraries(lyr_freetype synfig ${CAIRO_LIBRARIES} ${PANGO_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${FT_LIBRARIES})

install (
    TARGETS lyr_freetype
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/lyr_std/CMakeLists.txt ===
add_library(lyr_std MODULE "")

target_sources(lyr_std
    PUBLIC
        "${CMAKE_CURRENT_LIST_DIR}/bevel.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/booleancurve.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/clamp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/curvewarp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/freetime.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/import.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/insideout.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/julia.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/mandelbrot.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/rotate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/shade.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/sphere_distort.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/stretch.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/stroboscope.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/supersample.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timeloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/translate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/twirl.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/warp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/xorpattern.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/zoom.cpp"
)

target_link_libraries(lyr_std synfig ${CAIRO_LIBRARIES} ${GLIBMM_LIBRARIES})

install (
    TARGETS lyr_std
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_dv/CMakeLists.txt ===
add_library(mod_dv MODULE "")

target_sources(mod_dv
    PUBLIC
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/trgt_dv.cpp"
)

target_link_libraries(mod_dv synfig ${SIGCPP_LIBRARIES})

install (
    TARGETS mod_dv
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_ffmpeg/CMakeLists.txt ===
add_library(mod_ffmpeg MODULE "")

target_sources(mod_ffmpeg
    PUBLIC
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/trgt_ffmpeg.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/mptr_ffmpeg.cpp"
)

target_link_libraries(mod_ffmpeg synfig ${SIGCPP_LIBRARIES})

install (
    TARGETS mod_ffmpeg
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_geometry/CMakeLists.txt ===
add_library(mod_geometry MODULE "")

target_sources(mod_geometry
    PUBLIC
        "${CMAKE_CURRENT_LIST_DIR}/advanced_outline.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/checkerboard.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/circle.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/outline.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/rectangle.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/region.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/star.cpp"
)

target_link_libraries(mod_geometry synfig ${CAIRO_LIBRARIES} ${GLIBMM_LIBRARIES})

install (
    TARGETS mod_geometry
    DESTINATION lib/synfig/modules
)

=== synfig-core/src/modules/mod_gif/CMakeLists.txt ===
add_library(mod_gif MODULE "")

target_sources(mod_gif
    PUBLIC
        "${CMAKE_CURRENT_LIST_DIR}/trgt_gif.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
)

target_link_libraries(mod_gif synfig ${SIGCPP_LIBRARIES})

install (
    TARGETS mod_gif
    DESTINATION lib/synfig/modules
)

=== debian/changelog ===
synfigstudio (1.4.2-0ubuntu1) unstable; urgency=medium

  * New upstream release.

 -- Chris <dpkg@chris-nz.com>  Tue, 07 Sep 2021 22:13:57 +1200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,11 @@
 Section: graphics
 Priority: optional
 Standards-Version: 4.5.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11), autopoint, intltool
  ,pkg-config
- ,etl-dev (>= 1.4.0~)
- ,gcc-10,
- ,g++-10
+ ,etl-dev (>= 1.4.2~)
  ,libfftw3-dev
  ,libglibmm-2.4-dev
  ,libgtkmm-3.0-dev
@@ -17,8 +14,8 @@
  ,libmlt-dev
  ,libmlt++-dev
  ,libsigc++-2.0-dev
- ,libsynfig-dev (>= 1.4.0~)
- ,synfig (>= 1.4.0~)
+ ,libsynfig-dev (>= 1.4.2~)
+ ,synfig (>= 1.4.2~)
  ,fonts-freefont-ttf | ttf-freefont
  ,fonts-dejavu | ttf-dejavu
  ,libmagick++-dev

## synfigstudio 1.5.0

=== synfig-core/src/CMakeLists.txt ===
##
## Find packages
##

# TODO: check if we really need all of them
find_package(Boost REQUIRED system)

find_package(ZLIB REQUIRED)

## ETL doesn't install a package configuration so find package will fail
# find_package(ETL REQUIRED)


## TODO: investigate these more closely
set(CMAKE_THREAD_PREFER_PTHREAD ON)
set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
if (CMAKE_USE_PTHREADS_INIT)
    set(HAVE_LIBPTHREAD ON)
endif()

# vcpkg should be checked before pkg-config, because some vcpkg
# packages have pkg-config support where others is not
if(VCPKG_TOOLCHAIN)
    message(STATUS "Building with vcpkg...")

	set(GLIB_LIB_SUFFIX 2.0)
	set(PANGO_LIB_SUFFIX 1.0)
	set(ATK_LIB_SUFFIX 1.0)
	set(GDK_PIXBUF_LIB_SUFFIX 2.0)
	if(CMAKE_BUILD_TYPE STREQUAL Debug)
	    set(CAIRO_LIB_SUFFIX d)
	    set(LIB_PNG_SUFFIX d)
	endif()

	# find dependencies

	# Libraries should be named in pkg-config style, so we can use the same names in target_link_libraries and target_include_libraries

	# glib
	find_path(GLIB_INCLUDE_DIR glib.h)
	find_library(GLIB_GLIB_LIBRARY glib-${GLIB_LIB_SUFFIX})
	find_library(GLIB_GIO_LIBRARY gio-${GLIB_LIB_SUFFIX})
	find_library(GLIB_GMODULE_LIBRARY gmodule-${GLIB_LIB_SUFFIX})
	find_library(GLIB_GOBJECT_LIBRARY gobject-${GLIB_LIB_SUFFIX})
	set(GLIB_LIBRARIES ${GLIB_GLIB_LIBRARY} ${GLIB_GIO_LIBRARY} ${GLIB_GMODULE_LIBRARY} ${GLIB_GOBJECT_LIBRARY} CACHE INTERNAL "")

	# pango
	find_path(PANGO_INCLUDE_DIR pango/pango.h)
	find_library(PANGO_LIBRARY pango-${PANGO_LIB_SUFFIX})
	find_library(PANGO_CAIRO_LIBRARY pangocairo-${PANGO_LIB_SUFFIX})
	find_library(PANGO_WIN32_LIBRARY pangowin32-${PANGO_LIB_SUFFIX})
	set(PANGO_LIBRARIES ${PANGO_LIBRARY} ${PANGO_CAIRO_LIBRARY} ${PANGO_WIN32_LIBRARY})

	# atk
	find_path(ATK_INCLUDE_DIR atk/atk.h)
	find_library(ATK_LIBRARY atk-${ATK_LIB_SUFFIX})

	# atkmm (required for gtkmm)
	find_library(ATKMM_LIBRARY atkmm)

	# cairo
	find_path(CAIRO_INCLUDE_DIR cairo.h)
	find_library(CAIRO_LIBRARY cairo${CAIRO_LIB_SUFFIX})
	find_library(CAIRO_GOBJECT_LIBRARY cairo-gobject${CAIRO_LIB_SUFFIX})
	find_library(CAIROMM_LIBRARY cairomm-1.0)
	set(CAIRO_LIBRARIES ${CAIRO_LIBRARY} ${CAIRO_GOBJECT_LIBRARY})

	# fftw3
	find_path(FFTW_INCLUDE_DIR fftw3.h)
	find_library(FFTW3_LIBRARY fftw3)
	find_library(FFTW3f_LIBRARY fftw3f)
	find_library(FFTW3l_LIBRARY fftw3l)
	set(FFTW_LIBRARIES ${FFTW3_LIBRARY} ${FFTW3f_LIBRARY} ${FFTW3l_LIBRARY})

	# gdk
	#find_path(GDK_INCLUDE_DIR gdk/gdk.h)
	find_library(GDK_LIBRARY gdk-3.0)
	find_library(GDKMM_LIBRARY gdkmm)
	find_library(GIOMM_LIBRARY giomm)
	find_library(GLIBMM_LIBRARY glibmm-2.0)
	find_library(GTK_LIBRARY gtk-3.0)
	find_library(GTKMM_LIBRARY gtkmm)
	find_library(PANGOFT2_LIBRARY pangoft2-${PANGO_LIB_SUFFIX})
	find_library(PANGOMM_LIBRARY pangomm)
	find_library(SIGC_LIBRARY sigc-2.0)
	#find_library(SIGCPP_LIBRARY sigc++-2.0)

    find_library(LIBXML_LIBRARY libxml2)
    find_library(XMLPP_LIBRARY xml++)
	find_library(ZLIB_LIBRARY zlib${CAIRO_LIB_SUFFIX})
	find_library(LTDL_LIBRARY ltdl)

    #libpng, libjpeg, freetype
    find_library(LIBPNG_LIBRARY libpng16${LIB_PNG_SUFFIX})
    find_library(LIBJPEG_LIBRARIES jpeg${LIB_PNG_SUFFIX})
    find_library(FREETYPE_LIBRARY freetype${LIB_PNG_SUFFIX})

    #set(SIGCPP_LIBRARIES ${SIGC_LIBRARY} ${SIGCPP_LIBRARY})
    set(SIGCPP_LIBRARIES ${SIGC_LIBRARY})
    set(GIOMM_LIBRARIES ${GLIB_GIO_LIBRARY} ${GIOMM_LIBRARY})
    set(GLIBMM_LIBRARIES ${GLIBMM_LIBRARY} ${GLIB_GLIB_LIBRARY})
    set(LIBPNG_LIBRARIES ${LIBPNG_LIBRARY})
    set(FT_LIBRARIES ${FREETYPE_LIBRARY})
    set(XMLPP_LIBRARIES ${LIBXML_LIBRARY} ${XMLPP_LIBRARY})
    set(ZLIB_LIBRARIES ${ZLIB_LIBRARY})

	# pkg-config --libs gtkmm-3.0
    #-LC:/msys64/mingw64/lib -lgtkmm-3.0 -latkmm-1.6 -lgdkmm-3.0 -lgiomm-2.4
    # -lpangomm-1.4 -lglibmm-2.4 -lgtk-3 -lgdk-3 -lz -lgdi32 -limm32 -lshell32
    # -lpangowin32-1.0 -lpangocairo-1.0 -lpango-1.0 -lharfbuzz -latk-1.0
    #-lcairo-gobject -lgio-2.0 -lcairomm-1.0 -lcairo -lsigc-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lintl

    set(GTKMM_LIBRARIES ${ATK_LIBRARY} ${ATKMM_LIBRARY} ${GDKMM_LIBRARY} ${GIOMM_LIBRARY} ${PANGOMM_LIBRARY} ${GLIBMM_LIBRARY} ${GTKMM_LIBRARY})

    message(STATUS "+++++++++++++++++++++++ ${GTKMM_LIBRARIES} +++++++++++++++++++++++++++++++")


	# gdk-pixbuf
	find_path(GDK_PIXBUF_INCLUDE_DIR gdk-pixbuf/gdk-pixbuf.h)
	find_library(GDK_PIXBUF_LIBRARY gdk_pixbuf-${GDK_PIXBUF_LIB_SUFFIX})

	# epoxy
	find_path(EPOXY_INCLUDE_DIR epoxy/common.h)
	find_library(EPOXY_LIBRARY epoxy)

	# gettext
	find_path(LIBINTL_INCLUDE_DIR libintl.h)
	find_library(LIBINTL_LIBRARY NAMES intl libintl)

	message(STATUS "")
	message(STATUS "===================================================================================")
	foreach(REQUIRED_LIB
			ATK_LIBRARY
			ATKMM_LIBRARY
			CAIRO_GOBJECT_LIBRARY
			CAIRO_LIBRARY
			CAIROMM_LIBRARY
			GLIB_GLIB_LIBRARY
			FFTW3_LIBRARY
			FFTW3f_LIBRARY
			FFTW3l_LIBRARY
			GDK_LIBRARY
			GDKMM_LIBRARY
			GIOMM_LIBRARY
			GLIBMM_LIBRARY
			GTK_LIBRARY
			GTKMM_LIBRARY
			PANGOFT2_LIBRARY
			PANGOMM_LIBRARY
			SIGC_LIBRARY
			XMLPP_LIBRARY
			ZLIB_LIBRARY
	)
		message(STATUS "Checking for module '${REQUIRED_LIB}'")
		if(${REQUIRED_LIB})
			message(STATUS "  Found ${${REQUIRED_LIB}}")
		else()
			message(STATUS "  NOT FOUND!")
		endif()
	endforeach()
else()
	message(STATUS "Building with pkg-config...")
	include(FindPkgConfig)
    if(PKG_CONFIG_FOUND)
		pkg_check_modules(SIGCPP REQUIRED sigc++-2.0)
		pkg_check_modules(GLIB REQUIRED glib-2.0)
		pkg_check_modules(GLIBMM REQUIRED glibmm-2.4)
		pkg_check_modules(GIOMM REQUIRED giomm-2.4)
		pkg_check_modules(CAIRO REQUIRED cairo)
		pkg_check_modules(PANGOCAIRO REQUIRED pangocairo) # lyr_freetype
		pkg_check_modules(LIBXML REQUIRED libxml++-2.6)
		pkg_check_modules(MLT mlt++)
		pkg_check_modules(FFTW REQUIRED fftw3)
		pkg_check_modules(FT REQUIRED freetype2) # for lyr_freetype
		pkg_check_modules(LIBPNG REQUIRED libpng) # for mod_png
		#TODO(ice0): find solution for libmng
		pkg_check_modules(LIBMNG libmng) # for mod_mng (set as optional as it is not correctly installed in Debian)
		pkg_check_modules(LIBJPEG REQUIRED libjpeg) # for mod_mng
		pkg_check_modules(OPENEXR OpenEXR) # for mod_openexr
		pkg_check_modules(MAGICKCORE REQUIRED MagickCore) # for Magick++
		pkg_check_modules(FONT_CONFIG fontconfig) # for FontConfig

		## TODO: move to module where it is actually required
		pkg_check_modules(PANGO REQUIRED pango)
	endif()
endif()

if (NOT MLT_FOUND)
	add_definitions(-DWITHOUT_MLT) # disable MLT if not found
endif()

foreach(pkg_config_lib 
  SIGCPP 
  GLIBMM 
  GIOMM 
  CAIRO 
  PANGOCAIRO 
  LIBXML 
  MLT 
  FFTW 
  FT 
  LIBPNG
  LIBMNG
  LIBJPEG
  OPENEXR
  MAGICKCORE
  PANGO
  FONT_CONFIG)
    include_directories(${${pkg_config_lib}_INCLUDE_DIRS})
    link_directories(${${pkg_config_lib}_LIBRARY_DIRS})
endforeach()

## TODO: should we keep it here?
find_package(ImageMagick COMPONENTS Magick++)

##
## Configure
##

# Check headers
include(CheckIncludeFile)
CHECK_INCLUDE_FILE(sys/wait.h  HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(signal.h    HAVE_SIGNAL_H)
CHECK_INCLUDE_FILE(termios.h   HAVE_TERMIOS_H)
CHECK_INCLUDE_FILE(process.h   HAVE_PROCESS_H)
CHECK_INCLUDE_FILE(io.h        HAVE_IO_H)
CHECK_INCLUDE_FILE(sys/fcntl.h HAVE_FCNTL_H)

# Check functions
include (CheckFunctionExists)
CHECK_FUNCTION_EXISTS(fork HAVE_FORK)
CHECK_FUNCTION_EXISTS(pipe HAVE_PIPE)
CHECK_FUNCTION_EXISTS(waitpid HAVE_WAITPID)

if(FONT_CONFIG_FOUND)
  add_definitions(-DWITH_FONTCONFIG)
endif()

add_definitions(-DHAVE_CONFIG_H)
configure_file(config.h.cmake.in config.h)
configure_file(autorevision.h.cmake.in autorevision.h)

##
## Include
##

## for config
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

##
## CMake helpers
##

include(cmake/install_header.cmake)

##
## Sub-dirs
##

add_subdirectory(synfig)
add_subdirectory(tool)
add_subdirectory(modules)

##
## Build targets
##

=== synfig-core/src/modules/lyr_freetype/CMakeLists.txt ===
add_library(lyr_freetype MODULE
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/lyr_freetype.cpp"
)

target_include_directories(lyr_freetype PRIVATE ${PANGO_INCLUDE_DIRS})

target_link_libraries(lyr_freetype synfig ${CAIRO_LIBRARIES} ${PANGO_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${FT_LIBRARIES} ${FONT_CONFIG_LIBRARIES})

install (
    TARGETS lyr_freetype
    DESTINATION lib/synfig/modules
)

=== debian/changelog ===
synfigstudio (5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * Let lottie plugin back in - upstream bug fixed 

 -- Chris <dpkg@chris-nz.com>  Tue, 07 Sep 2021 16:11:35 +1200
